import { simpleNotification } from '../../z_comps/notify.js';


// valida los archivos que se cargan en el formulario
// solo permite jpg, jpeg, png, mp4
// y los archivos que no son de imagen se eliminan
// y se muestra un mensaje de error


let form = document.querySelector("form");
let img = document.getElementById("img");

form.addEventListener("submit", function (e) {
  let allowedExtensions = ['jpg', 'jpeg', 'png', 'mp4', 'avif', 'webp'];
  let filePath = img.value;
  let extension = filePath.split('.').pop().toLowerCase();

  if (!allowedExtensions.includes(extension)) {
    e.preventDefault();
    simpleNotification("Error Extensión", "Solo se permiten archivos con extensión: .jpg, .jpeg, .png, .mp4", "error")
    return;
  }

});